> For the complete documentation index, see [llms.txt](https://docs.oidc-spa.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oidc-spa.dev/docs/v9/providers-configuration/clerk.md).

# Clerk

{% hint style="warning" %}
Technically, it works now, but there are still a few ways the "OAuth" feature in Clerk needs to be improved to fully comply with the standard so that generic clients work seamlessly.\
The team has been very helpful so far and already fixed the most critical issues.\
Once the remaining problems are addressed, I’ll update this page.

If you want to use it today, here are the required workarounds:

* Set [`noIframe: true`](/docs/v9/resources/iframe-related-issues.md)
* Set [`__unsafe_useIdTokenAsAccessToken: true`](/docs/v9/providers-configuration/google-oauth.md) if you need the access token to be a JWT (by default, the issued access token is opaque)
* In the Clerk admin, make sure the consent pages are **not** enabled
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oidc-spa.dev/docs/v9/providers-configuration/clerk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
